Package uk.ac.starlink.table.join

## Class CdsHealpixSkyPixellator

- java.lang.Object
- - uk.ac.starlink.table.join.HealpixSkyPixellator
  - - uk.ac.starlink.table.join.CdsHealpixSkyPixellator

- All Implemented Interfaces:
    `SkyPixellator`

      public class CdsHealpixSkyPixellator
      extends HealpixSkyPixellator

  HEALPix sky pixellator using the CDS-HEALPIX-JAVA library written by F-X Pineau at CDS.

  The Nested indexing scheme is used, and the largest permissible k-value (depth) is 29.

  Since:
    21 May 2020
  Author:
    Mark Taylor
  See Also:
    https://github.com/cds-astro/cds-healpix-java

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CdsHealpixSkyPixellator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `calculateDefaultK​(double scale)` | Determines a default value to use for the HEALPix k parameter based on a given scale.
    `protected void` | `configureK​(int k)` | Updates internal state for the current value of the k parameter.
    `java.lang.Object[]` | `getPixels​(double alpha, double delta, double radius)` | Returns an array of objects representing pixels in a given region.

    - ### Methods inherited from class uk.ac.starlink.table.join.HealpixSkyPixellator

      `getHealpixK, getMaxK, getScale, getTuningParameter, setHealpixK, setScale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CdsHealpixSkyPixellator

          public CdsHealpixSkyPixellator()

  - ### Method Detail

    - #### configureK

          protected void configureK​(int k)

      Description copied from class: `HealpixSkyPixellator`
      Updates internal state for the current value of the k parameter.
      Specified by:
        `configureK` in class `HealpixSkyPixellator`
      Parameters:
        `k` - HEALPix order

    - #### getPixels

          public java.lang.Object[] getPixels​(double alpha,
                                              double delta,
                                              double radius)

      Description copied from interface: `SkyPixellator`
      Returns an array of objects representing pixels in a given region. The parameters specify a small circle on the sphere; any pixels which overlap this circle must be returned (additional pixels may also be returned). The output objects are of some opaque type, but must implement the `equals` and `hashCode` methods appropriately, so that objects returned from one call can be compared for identity with objects returned from a subsequent call. This comparability is only guaranteed to work if the pixel scale is not changed in between calls.
      Parameters:
        `alpha` - right ascension of circle centre in radians
        `delta` - declination of circle centre in radians
        `radius` - radius of circle in radians
      Returns:
        array of opaque but comparable pixel objects

    - #### calculateDefaultK

          public int calculateDefaultK​(double scale)

      Determines a default value to use for the HEALPix k parameter based on a given scale.
      Specified by:
        `calculateDefaultK` in class `HealpixSkyPixellator`
      Parameters:
        `scale` - distance scale, in radians